import request from '@/utils/request'

// 路线列表
export function routeList(data) {
	return request({
		'url': '/app/route/list?pageNum=1&pageSize=10000',
		'method': 'get',
	})
}

// 路线新增
export function routeAdd(data) {
	return request({
		'url': '/app/route',
		'method': 'post',
		data: data
	})
}

// 路线查看
export function routeInfo(id) {
	return request({
		'url': '/app/route/' + id,
		'method': 'get',
	})
}

//路线修改
export function routeUpadate(data) {
	return request({
		'url': '/app/route',
		'method': 'PUT',
		'data':data
	})
}

//获得矩形坐标
export function routePost(data) {
	return request({
		'url': '/app/route/point',
		'method': 'post',
		'data':data
	})
}
//获取运输任务单条线路执行坐标集合
// 路线查看
export function pointData(id) {
	return request({
		'url': '/app/trail/point/' + id,
		'method': 'post',
	})
}